package geometry;

public class Circle {
    public Circle(Point2D center, double radius) {
        this.center = center;
        this.radius = radius;
    }
    
    public double distance(Circle c) {
        return center.distance(c.getCenter()) - radius - c.getRadius();
    }
    
    public double getArea() {
        return Math.PI * Math.pow(radius, 2);
    }
    
    public double getCircumference() {
        return 2 * Math.PI * radius;
    }
    
    public void setCenter(Point2D center) {
        this.center = center;
    }
    
    public Point2D getCenter() {
        return center;
    }
    
    public void setRadius(double radius) {
        this.radius = radius;
    }
    
    public double getRadius() {
        return radius;
    }   
    
    private Point2D center;
    private double radius;
}
