package game.res;

import game.TestGraphics;
import static org.junit.Assert.fail;

import org.junit.Assert;
import org.junit.*;



public class MapTest {
    @Test public void testGetInstance() throws Exception {
        Map map = Map.getInstance("res/maps/TestMap.txt");
        int[][] cells = map.getMapCells();
        Assert.assertEquals(cells[0][0], 0);
        Assert.assertEquals(cells[10][9], 5);
        Assert.assertEquals(cells[1][1], 3);
    }
    
    @Test public void testDraw() {
    	try {
    		Map map = Map.getInstance("res/maps/TestMap.txt");
    		TestGraphics graphics = new TestGraphics();
    		map.draw(graphics);
    		Assert.assertEquals(graphics.count, 399);
    	} catch (Exception e) {
    		fail("Exception was thrown" + e);
    	}
    }
}
